classification
Title: sys.intern()
Type: Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: georg.brandl, gvanrossum
Priority: normal Keywords: patch

Created on 2006-11-23 11:10 by georg.brandl, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
sys-id-intern.diff georg.brandl, 2006-11-23 11:10 #1
sys-intern.diff georg.brandl, 2006-12-19 18:55 #2
Messages (5)
msg51404 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-11-23 11:10
This patch moves id() and intern() into the sys module, as listed in PEP 3100.
msg51405 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2006-11-23 16:43
Aargh. I need to think more about whether I even want this. Doesn't PEP 3100 have a ? near that item? Everything with a ? needs to be reconsidered before implemented. Add a ? if it's not already there for this issue. Sorry.
msg51406 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-12-19 18:55
Updated patch only moves intern(), as per python-3000 discussion.
File Added: sys-intern.diff
msg51407 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2006-12-19 19:26
Looks good, check it in (and update PEP 3100 please).

Were there no other places where intern() is actually *used* in the stdlib? Amazing!

Can I convince you to also contribute a fixer for the sandbox/2to3 refactoring tool?
msg51408 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-12-19 20:54
Committed in rev. 53080. Updated the PEP in rev. 53082.
Submitted new patch for the 2to3 refactoring tool in #1619049.
History
Date User Action Args
2008-01-06 22:29:46adminsetkeywords: - py3k
versions: + Python 3.0
2006-11-23 11:10:28georg.brandlcreate